### v0.20.1
- Added fake avj cheat for testing purposes
- Fixed map spot drawing (hexen)
- Fixed "move floor and ceiling" action (hexen)
- Fixed enter key binding not working

### v0.20.0

#### Hexen Support (Beta)
- You can now play hexen
  - Use -iwad HEXEN.WAD (-file HEXDD.WAD for the expansion)
    - Or drag wads onto the exe
  - You can force hexen engine behaviour with `-hexen` (shouldn't be necessary)
  - Probably doesn't work with the windows launcher (same as heretic)
- Demo compatible with chocolate hexen
  - ~34 hours of demos tested
  - Unfortunately, chocolate hexen isn't 100% compatible (!)
    - 2 demos desync in choco but sync in hexen+
    - Not sure if or when this can be addressed
- Don't need to supply complevel (hexen is complevel 0 by necessity)
- There are a variety of sound and graphical oddities - the ones I've looked into are consistent with chocolate hexen (hexen itself is a bit more hacky - that's just how it is).
- Cheat codes are implemented
  - `indiana` is also available for heretic
  - Codes from doom and heretic can be used as well (some won't make sense though)
- Notes / Todo
  - Hexen has a kind of "auto save" feature that creates checkpoints when you transition between maps within a cluster. This is not implemented.
  - Hexen cross-map memory is incomplete - you can break scripts or other things when changing maps, given the right circumstances. None of these quirks are fixed. They're required for demo compatibility.
  - Hexen stores cross-map memory in save files - in dsda-doom this data is stored in memory, and when you save the game it will also save the cross-map memory in your save file.
  - Setting the "Status Bar and Menu Appearance" option to "not adjusted" will have no effect for hexen (it will default instead to "Doom format")
  - The "Apply multisampling" automap option is disabled for hexen
  - Automap colors are not configurable for hexen
  - Some of the more advanced features are not implemented for hexen yet, and using them may cause crashes or other odd behaviour. This includes ghost players, key frames (working but not always in sync), and the analysis code
  - Advanced hud is not implemented for hexen
  - Some menus extend over the hud. This will be cleaned up later
  - Palette translations for ex hud / settings fonts are not great right now
  - Monster counter doesn't work as expected, due to cluster format (ex hud / levelstat)
  - Hexen-style skies aren't implemented yet (layering, etc)
  - The ALTSHADOW thing flag isn't affecting the rendering
  - Dynamic fade palettes aren't being used
  - The yellow message variant isn't implemented

#### Miscellaneous
- Added vissprite base clipping support (software)
- Added `-consoleplayer [0-7]` option for demo playback
- Added intermission to end of chex episodes
- Added support for EE's dehacked "Blood color"
- Adjusted opengl palettes
- Support reference time for splits
- Default to short tics for mbf21 recording (override with -longtics)
- Removed jump option (doom / heretic)
- Removed umapinfo demo header
- Removed 32bit software renderer
- Removed translucency toggle
- Added proper fuzz for opengl (elim)
- Update to umapinfo rev 2.1 (pr+)
- Fixed crash / bug in A_SpawnObject (mbf21)
- Fixed crash when toggling strict mode
- Fixed backfill covering viewport when zoomed out (opengl)
- Fixed kill requirement save / load (e.g., in Valiant)
- Fixed issue when multiple deh files are loaded
- Fixed an issue where the port's wad might not load (pr+)
- Fixed an issue with cl 11 umapinfo demo playback
- Fixed an issue with loading a game during coop demo playback (pr+)
